Bottom Page

Thread Rating:
  • 1 Vote(s) - 5 Average
  • 1
  • 2
  • 3
  • 4
  • 5
 Python Version on Mac OSX
#1
I am running python 3.7.10 on OSX. I am trying to use speech recognition but that requires PyAudio. After about an hour of searching and failing, most sites said PyAudio wasn't compadible with Python 3.7 or above so I tried to uninstall and reinstall python on a different version. However I've tried deleting every individual file and running rm in terminal but if I type python --version into the command prompt the reply is still Verison 3.7.10. I am trying to install version 3.6.8...Can anyone help?
Quote
#2
In order to learn what Python versions do you have on your machine type python in terminal and hit TAB. You will see list of versions and configurations.

I believe that virtual environments are solution for this kind of problems. You know, in near future you might need insertion-ordered dictionaries and therefore Python 3.7 but you don't want to break your PyAdio setup. There is built-in venv module and several third party modules like pipenv. You just set up virtual environment with 'right' Python version with needed modules and dependencies
I'm not 'in'-sane. Indeed, I am so far 'out' of sane that you appear a tiny blip on the distant coast of sanity. Bucky Katt, Get Fuzzy

Life of Brian: Conjugate the verb, "to go" !
Quote
#3
Thanks, perfringo. Sorry, I'm new to this. How would I go about setting up a Virtual environment with a different Python version. I've given it a go but I can understand the documentation very well.
Quote
#4
There is quite straightforward tutorial on Python site: Creating virtual environments.
I'm not 'in'-sane. Indeed, I am so far 'out' of sane that you appear a tiny blip on the distant coast of sanity. Bucky Katt, Get Fuzzy

Life of Brian: Conjugate the verb, "to go" !
Quote
#5
this is the best solution
Quote
#6
Thank you for the quick replies perfringo. This is exactly what I wanted!
Quote

Top Page

Possibly Related Threads...
Thread Author Replies Views Last Post
  Trouble importing modules on a new python version snackman_barry 2 142 Jul-12-2019, 11:15 AM
Last Post: snackman_barry
  Version of glob for that Supports Windows Wildcards? Reverend_Jim 5 445 Jun-18-2019, 06:31 PM
Last Post: Reverend_Jim
  [split] Using this Python version of text2pdf jonsnow1221 1 180 May-07-2019, 07:48 PM
Last Post: micseydel
  Using this Python version of text2pdf Pedroski55 1 241 Apr-15-2019, 08:12 AM
Last Post: Pedroski55
  can't install package web in version python 3.7 a21250450 1 248 Mar-29-2019, 11:28 AM
Last Post: Larz60+
  Hello Im looking for a compiled window version of 3.4.x ... SlowMotion 2 243 Feb-12-2019, 08:13 PM
Last Post: SlowMotion
  numpynot associted with correct python version ErnestTBass 17 946 Jan-16-2019, 02:47 PM
Last Post: ErnestTBass
  Python version 3 that seems to be ignored by the system on a Raspberry Pi Discret68 3 436 Dec-28-2018, 06:42 PM
Last Post: Gribouillis
  I'm having trouble with an OOP version of Pickle functionality CodeWolf 2 301 Dec-19-2018, 05:41 PM
Last Post: CodeWolf
  How to comapare version UUIDs in python? swamyjrs 3 349 Dec-19-2018, 08:57 AM
Last Post: Gribouillis

Forum Jump:


Users browsing this thread: 1 Guest(s)